/* atscap style sheet example
   this is for atscap-1.1rc9p 20070808
*/

/* built-in sans-serif seems good enough */
body {
	font-family: sans-serif; font-size: small;
	color: #fff; background-color: #000;
	background: url("/pg/img/gridx.png");
}

/* order is given as lvha, hover gets bright white, no underlines */
A:link    { text-decoration: none; }
A:visited { text-decoration: none; }
A:hover   { text-decoration: none; color: #fff; }
A:active  { text-decoration: none; }

.f0 { font-size: 50%; }
.f1 { font-size: 70%; }
.f2 { font-size: 80%; }
.f3 { font-size: 90%; }
.f4 { font-size: 100%; }
.f5 { font-size: 110%; }


/* tile colors for various status indications, 0 is bg(desc), 1 is fg(name) */

/* ignore event, diff red is used for weekday ignores */
.red		{ color: #e77; background-color: transparent; }
.red0		{ color: #fff; background-color: #e77; }
.red1		{ color: #fff; background-color: #c00; }

.green		{ color: #0f0; background-color: transparent; }
/* event has a timer */
.green0 	{ color: #000; background-color: #7e9; }
.green1 	{ color: #000; background-color: #2d2; }

.blue		{ color: #88c; background-color: transparent; }
/* movie event */
.blue0		{ color: #000; background-color: #67c; }
.blue1		{ color: #fff; background-color: #55c; }

.cyan		{ color: #0ee; background-color: transparent; }
/* weekday timer that isn't today and isn't ignored */
.cyan0		{ color: #000; background-color: #0ee; }
.cyan1		{ color: #000; background-color: #0cc; }

.magenta	{ color: #c6c; background-color: transparent; }
/* aged event */
.magenta0	{ color: #000; background-color: #c6c; }
.magenta1	{ color: #fff; background-color: #b0b; }

.yellow		{ color: #ff0; background-color: transparent; }
/* captured event */
.yellow0	{ color: #000; background-color: #ff0; }
.yellow1	{ color: #000; background-color: #bb0; }

.white		{ color: #fff; background-color: transparent; }
/* now event */
.white0		{ color: #000; background-color: #eee; }
.white1		{ color: #000; background-color: #ccc; }

.grey		{ color: #777; background-color: transparent; }
/* unclassified event */
.grey0		{ color: #000; background-color: #999; }
.grey1		{ color: #fff; background-color: #777; }

.black		{ color: #000; background-color: transparent; }
/* spam event */
.black0		{ color: #fff; background-color: #555; }
.black1		{ color: #fff; background-color: #444; }


/* modified colors with dark bg so weekday timer buttons/text readable */

/* weekday timer future. not today, not ignored, not streaming */
.wdn0		{ color: #fff; background-color: #234; }
.wdn1		{ color: #000; background-color: #0cc; }

/* weekday timer is ignored, start overlaps with another timer */
.wdi0		{ color: #fff; background-color: #322; }
.wdi1		{ color: #fff; background-color: #c00; }

/* weekday timer is currently streaming, 0 is tile body, 1 is title */
.wds0		{ color: #fff; background-color: #332; }
.wds1		{ color: #000; background-color: #bb0; }

/* weeday or volatile timer that will occur today, or will be ignored */
.wdt0		{ color: #fff; background-color: #232; }
.wdt1		{ color: #000; background-color: #2d2; }

.footer {
 float: none;
 font-size: 110%;
}

/* weekday button text size and color */
/* no selected */
.wda0 {
 font-size: 100%;
 color: #bbb;
}
/* selected */
.wda1 {
 font-size: 100%;
 color: #0ff;
}
/* today */
.wda2 {
 font-size: 100%;
 color: #0f0;
}

/* weekday select buttons */
.wdb0 {
 width: 16px;
 height: 16px;
 margin: 0 0 0 0;
 padding: 0 0 0 0;
 border: 0;
}
.wdb1 {
 width: 16px;
 height: 16px;
 margin:  0 0 0 0;
 padding: 0 0 0 0;
 border: 0;
}

/* server nav button text */
.snbl {
 float: left;
 font-size: 120%;
 width: 100%;
 text-align: center;
}

.snbl1 {
 float: left;
 padding-left: 8px
}
.snbl2 {
 float: left;
 padding-left: 8px
}

/* server nav text color: 0 down 1 up 2 current 3 cap 4 cut */
.snba0 { font-size: 90%;  color: #c77; }
.snba1 { font-size: 100%; color: #0f0; }
.snba2 { font-size: 120%; color: #fff; }
.snba3 { font-size: 120%; color: #ff0; }
.snba4 { font-size: 120%; color: #f0f; }

/* channel nav button text */
.cnbl {
 float: left;
 font-size: 120%;
 width: 58px;
 text-align: center;
}

.cnbl1 {
 float: left;
 width: 58px;
 text-align: center;
 border: 0;
}

/* signal/guide button list */
.sgbl {
 float: left;
 width: 58px;
 font-size: 120%;
 text-align: center;
 margin: 0 auto 0 auto;
 padding: 0;
}

.sgbul {
 list-style-type: none;
 margin: 0;
 padding: 0;
}

.sgbl1 {
 float: left;
 width: 58px;
 list-style-type: none;
 text-align: center;
 margin: 0;
 padding: 0;
 border: 0;
}

.img_apg {
 width: 48px;
 height: 48px;
 padding: 0;
 border: 0;
}

.img_sig {
 margin:  0;
 padding: 0;
 width: 50px;
 height: 50px;
 background-image: url("/pg/img/blank50.png");
}
/* server nav ul and tile (includes cap + cut dir) */
.snbul { list-style-type: none; margin: 0; padding: 0; }

/* channel nav ul and tile */
/* .cnbul { list-style-type: none; margin: 0; padding: 0; } */

/* channel nav button attributes */
/* no EPG */
.cnba0 {
    float: left;
    font-size: 90%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #999;
    background-image: url("/pg/img/chrome96.png");
}
/* current or last viewed EPG */
.cnba1 {
    float: left;
    font-size: 100%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #fff;
    background-image: url("/pg/img/chrome96.png");
}
/* has auto EPG */
.cnba2 {
    float: left;
    font-size: 100%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #0f0;
    background-image: url("/pg/img/chrome96.png");
}

/* current channel in scanlist */
.cnba3 {
    float: left;
    font-size: 100%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #0ff;
    background-image: url("/pg/img/chrome96.png");
}

/* live capture */
.cnba4 {
    float: left;
    font-size: 100%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #88f;
    background-image: url("/pg/img/chrome96.png");
}
/* timesource */
.cnba5 {
    float: left;
    font-size: 100%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #ff0;
    background-image: url("/pg/img/chrome96.png");
}

/* has EPG */
.cnba6 {
    float: left;
    font-size: 100%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #8a0;
    background-image: url("/pg/img/chrome96.png");
}

/* has no video */
.cnba7 {
    float: left;
    font-size: 100%; color: #000;
    text-align: center;
    width: 96px; height: 30px;
    margin: 2px 2px 0 0;
    padding: 0;
    background-color: #f44;
    background-image: url("/pg/img/chrome96.png");
}

.cnbt {
    color: #000;
    width: 96px; height: 20px;
}

/* channel nav text attributes, used in config page, images go haywire */
.cnta0 { font-size: 90%; color: #0f0; }
.cnta1 { font-size: 100%; color: #fff; }
.cnta2 { font-size: 100%; color: #0ff; }


.cfg {
/* clear: both; */
 font-size: 100%;
}
/* cfg button type 0 (off) */
.cfgbt0 {
 float: left;
 width: 96px;  height: 30px;
 font-size: 110%;
 margin: 2px 2px 0 0;
 background-color: #0c0;
 background-image: url("/pg/img/chrome96c.png");
}
/* href color to match status (off) */
.cfgba0 { color: #000; }

/* cfg button type 1 (on) */
.cfgbt1 {
 float: left;
 width: 96px; height: 30px;
 font-size: 110%;
 margin: 2px 2px 0 0;
 background-color: #999;
 background-image: url("/pg/img/chrome96c.png");
}
/* href color to match status (on) */
.cfgba1 { color: #ff0; background-color: transparent; }

/* cfg button type 2 (radio button type) */
.cfgbt2 {
 float: left;
 width: 96px; height: 30px;
 font-size: 110%;
 margin: 2px 2px 0 0;
 color: #000;
 background-image: url("/pg/img/chrome96.png");
}

/* button image, colored spheres for now */
.cfgbi {
 width: 24px;
 height: 24px;
 margin: 3px 0 0 0;
 border: 0;
 vertical-align: bottom;
}

.cfgleg {
 float: left;
 color: #fff;
}

.cfgbl {
 float: left;
 width: 96px; height: 30px;
 font-size: 110%;
 margin: 0;
 padding: 0;
}

.cfgbli  {
 float: left;
 width: 24px;
 height: 24px;
 margin: 3px;
 padding: 0;
 border: 0;
 vertical-align: bottom;
}

.cfsv {
    color: #000;
}


/* transport stats list */
.tss {
 float: left;
 font-size: 90%;
}

.tsl {
 float: left;
 width: 116px;
 background-color: #333;
 margin: 0 1px 0 0;
}

.tsul {
 float: left;
 width: 116px;
 list-style-type: none;
 margin: 1px 1px 0 0;
 padding: 0;
 text-align: center;
}

/* left aligned */
.tslil {
 float: left;
 width: 112px;
 margin: 0;
 padding: 0 0 0 4px;
 list-style-type: none;
 text-align: left;
}

/* right aligned */
.tslir {
 float: left;
 width: 112px;
 margin: 0;
 padding: 0 4px 0 0;
 list-style-type: none;
 text-align: right;
}

/* caplog text */
.cltf0 { float: left; }
.cltc0 { color: #000; background-color: #0f0; }
.cltc1 { color: #000; background-color: #ff0; }
.cltc2 { color: #000; background-color: #f00; }

/* use this for fixed size font at top */
.epgtop { font-size: 115%; }

/* epg top w/ size */
.epgtop_large { font-size: 110%; }
.epgtop_small { font-size: 100%; }
.epgtop_tiny  { font-size: 75%; }

/* station id png */
.epgsid { float: left; margin: 8px 8px 8px 8px; }

/* event status text */
.epgevs { float: none; margin: 8px 8px 8px 8px; }

/* epg signal strength + epg cap + sig% + errors: div, img and a */
.epgsg { float: none; margin: 8px 8px 8px 8px; }
.epgsga { background-color: #444; }
.epgsgi {
 width: 50px;
 height: 50px;
 background-image: url("/pg/img/scanon.png");
}

/* legend png + text */
.epgleg { float: none; }

/* legend button */
.epglb1 { float: left; }

/* legend button image sizes */
.epgbti { float: left; width: 24px;  height: 24px; margin: 2px 4px 0 0; }

/* legend button unordered list */
.epgbul { float: left; list-style-type: none; margin: 0; padding: 0; }

/* button legend 1, buttons with action text immediately following */
.epgbl1 {
 float: left;
 list-style-type: none;
 width: 96px; height: 30px;
 margin: 2px 2px 0 0;
}

/* button legend 2, text with no action buttons */
.epgbl2 {
 float: left;
 list-style-type: none;
 width: 96px; height: 30px;
 margin: 2px 2px 0 0;
 text-align: center;
 background-image: url("/pg/img/chrome96.png");
}

/* divider */
.epgdiv { font-size: 110%; }
.tssdiv { font-size: 110%; }

.br_epgdiv { clear: left; }
.br_cfgdiv { clear: none; }
.br_tssdiv { float: none; clear: left; }

/* tiles float to the left with 1 pixel top and right margin */
.epgtile {
  float: left;
  margin: 1px 1px 0 0;
}

/* margin does the same */
.epgmarg { margin: 1px 1px 0 0; }

/* textbox center */
.epgbc { margin-left: auto; margin-right: auto; }

/* text center */
.epgtc { text-align: center; }

/* scrollers are CPU intensive during render: 100% CPU for 5 seconds or more.
   User will have to decide if they want to take the CPU hit and enable here.

    scroll is w3c compliant: puts horizontal and vertical scrollers up.

    -moz is obviously a mozilla option

    hidden clips the text but might leave stray bits behind if not truncated

**** pick one
.epgvsb { overflow: -moz-scrollbars-vertical; }

**** or the other
.epgvsb { overflow: scroll; }

**** there is also this, but looks like crap without kerning truncated text
.epgvsb { overflow: hidden; }
*/

/* default is to see how much punishment the browswer can take */
.epgvsb { overflow: auto; }

/* these are the main epg tile definitions for large, small and tiny tiles */
.dl_large {
  width: 240px;
  height: 240px;
  margin: 0 0 0 0;
  padding: 0 0 0 0;
  background: url("/pg/img/chrome240.png");
  overflow: hidden;
  clip: rect(0px, 239px, 235px, 0px);
}
/* thicker chrome with 2nd layer, is noticable */
.dt_large {
  width: 232px;
  height: 48px;
  margin: 0 0 0 0;
  padding: 0 0 0 0;
  font-size: 110%;
  background: url("/pg/img/chrome240.png");
  overflow: hidden;
  clip: rect(0px, 231px, 47px, 0px);
}

.dd_large {
  width: 226px;
  height: 185px;
  margin: 2px 4px 4px 4px;
  padding: 1px 2px 0 4px;
  font-size: 110%;
  clip: rect(0px, 225px, 181px, 0px);

}
.img_large {
  width: 24px;
  height: 24px;
  border: 0;
}
.bg_large {
  width: 240px;
  height: 240px;
/*  background: url("/pg/img/blank240x240.png"); */
  background: url("/pg/img/chrome240.png");
}

.dl_small {
  width: 160px; 
  height: 90px;
  margin: 0 0 0 0;
  padding: 0 0 0 0;
/*  background: url("/pg/img/blank160x90.png"); */
  background: url("/pg/img/chrome160.png");
  overflow: hidden;
  clip: rect(0px, 159px, 89px, 0px);
}
.dt_small {
  width: 154px;
  height: 18px;
  margin: 0 0 0 0;
  padding: 0 0 0 1px;
  font-size: 100%;
  background: url("/pg/img/chrome160.png");
  overflow: hidden;
  clip: rect(0px, 153px, 17px, 0px);
}
.dd_small {
  width: 148px;
  height: 64px;
  margin: 2px 3px 2px 3px;
  padding: 1px 2px 0 4px;
  font-size: 94%;
  overflow: hidden;
  clip: rect(0px, 147px, 63px, 0px);
}
.img_small {
  width: 16px;
  height: 16px;
  border: 0;
}
.bg_small {
  width: 160px;
  height: 90px;
  background: url("/pg/img/chrome160.png");
}

.dl_tiny {
  width: 80px;
  height: 45px;
  margin: 0 0 0 0;
  padding: 0 0 0 0;
/*  background: url("/pg/img/blank80x45.png"); */
  background: url("/pg/img/chrome80.png");
  overflow: hidden;
  clip: rect(0px, 79px, 44px, 0px);
}
.dt_tiny {
  width: 76px;
  height: 18px;
  margin: 0 0 0 0;
  padding: 0 0 0 2px;
  font-size: 94%;
  background: url("/pg/img/chrome80.png");
  overflow: hidden;
  clip: rect(0px, 75px, 17px, 0px);
}
.dd_tiny {
  width: 72px;
  height: 20px;
  margin: 3px 2px 2px 2px;
  padding: 1px 1px 0 2px;
  font-size: 82%;
/* this description is very short and shouldn't overflow */
/*  overflow: hidden; */
/*  clip: rect(0px, 71px, 19px, 0px); */
}
.img_tiny {
  width: 16px;
  height: 16px;
  border: 0;
}
.bg_tiny {
  width: 80px;
  height: 45px;
  background: url("/pg/img/chrome80.png");
}

.ta_egs {
    font-size: 100%;
    border-style: solid;
    border-color: #000;
    border-width: 2px;
    background-color: #fff;
    color: #000;
}

.tb_egs {
    font-size: 110%;
    border-style: solid;
    border-color: #fff;
    border-width: 1px;
    color: #fff;
}

.th_egs {
    border-right-style: solid;
    border-color: #fff;
    border-width: 1px;
    background-color: #444;
    color: #fff;
}

.td_egs {
    border-right-style: solid;
    border-color: #fff;
    border-width: 1px;
}
